Rated 3 out of 5 stars

Hi Guillermo,

Thanks for updating that module for the newest version of Firefox. You rock :D. Still think this is a must have module for all KDE users.

But, i've noticed few bugs with it that I didn't have with previous versions of this module. Don't know if anybody else has the same problems.

1 - For some reasons, it doesn't store all passwords. When the module is disabled (for example on this website "https://addons.mozilla.org/", Firefox asks to save the password, but with the kwallet module enabled it doesn't). There are many websites like this one.

2 - Also, I noticed that randomly, after using Firefox for a while, it doesn't fill automatically the fields for my usernames/passwords (but the credentials are correctly saved into Kwallet and the wallet is open). So I have to fill the fields myself as if nothing were saved.

Did anybody else noticed these bugs? or I am the only one?

This review is for a previous version of the add-on (1.0.10).  This user has a previous review of this add-on.

For number 1, it works for me, sorry about that
Number 1 and 2, you can debug it yourself, use:
$ NSPR_LOG_MODULES=KDEWalletLog:5 firefox
and take a look at the output. Sometimes the password backend never asks the plugin for a password, I don't know why, sorry about that.

Thanks Rated 5 out of 5 stars

Good Addon! It really works.

This review is for a previous version of the add-on (1.0.10). 

Rated 5 out of 5 stars

Great addon. Thank you very much.

This review is for a previous version of the add-on (1.0.9). 

Firefox 10 Rated 5 out of 5 stars

Since the upgrade to Firefox 10 this wonderful extension no longer works. I tried to tweak maxVersion in install.rdf without success. Any idea how I can make it working again? Will there be an update for Firefox 10? Thanks

This review is for a previous version of the add-on (1.0.9). 

Firefox 10

Hi, I wish it was so easy, this plugin must be recompiled for each new version of firefox for both platforms (x64 and i586)... It's a mozilla policy. After I upload the new version, It has to go through a revision process by mozilla stuff, that's why a new version is always available earlier at my web site. (http://www.guillermomolina.com.ar/index.php/en/files/category/1-firefox-kwallet-extension). Sorry

Rated 5 out of 5 stars

Hi Guillermo,

Thank you for this great extension...

I've translated it in French (very small task, but it's done now ;-) ). How (and in which format) can I send it to you ?

Sorry for my so poor english...

This review is for a previous version of the add-on (1.0.8). 

Thankyou, I sent you an email with instructions

A must for KDE users Rated 5 out of 5 stars

Guillermo,
your efforts to make this extension work with all firefox versions and kde versions are really appreciated.
This component is simply a must for everyone using Firefox & KDE. Thanks a lot.

This review is for a previous version of the add-on (0.12). 

update-timelines Rated 1 out of 5 stars

the extension is really nice but useless if we can not install firefox-security updates over days and weeks without lose the access to our passwords because the extension is not made comaptible

I know that nozilla is forcing this, but this does not change the fact that no access to passwords or no security-update is not acceptable and this is the only extension which did not work until i had to decide switch back to ff's native store

This review is for a previous version of the add-on (0.12).  This user has 5 previous reviews of this add-on.

Explanation (once again)

Several versions ago, Mozilla guys forced to recompile binary plugins for each new major version of firefox. Then they start publishing new major versions every three months. Neither they change their API, nor I change my plugin, but there are other compatibility issues because this plugin is in the middle between KDE and Mozilla. So every 3 months I am forced to start over. This recompilation is not always easy.

Rated 4 out of 5 stars

works great in thunderbird 7.0 for me.
One minor tweak was needed on my kubuntu 11.10:<br>ln -s /usr/lib/kde4/libkdeinit/libkdeinit4_kwalletd.so /usr/local/lib/

This review is for a previous version of the add-on (0.12). 

Rated 1 out of 5 stars

Why is this in the Thunderbird section when it does exactly nothing in Thunderbird?

This review is for a previous version of the add-on (0.12). 

Rated 5 out of 5 stars

Gentoo Base System release 2.1 - works well

This review is for a previous version of the add-on (0.12). 

Howto Kubuntu 11.04 Natty Narwhal (Thunderbird 6 and Firefox 6) Rated 5 out of 5 stars

First edit 2 file with a simply cut-paste and save its in your [save path]

=== Start file: thunderbird-kwallet-addon.patch ===
--- thunderbird 2011-09-12 15:25:55.857915729 +0200
+++ thunderbird 2011-09-12 15:22:47.246724434 +0200
@@ -18,6 +18,7 @@
MOZ_APP_NAME=thunderbird
MOZ_APP_BASENAME=thunderbird
MOZ_PROFILE_PREFIX=.
+LD_LIBRARY_PATH_KWALLET_ADDON="/usr/lib/kde4/libkdeinit:/usr/lib/xulrunner-2.0"

export MOZ_APP_LAUNCHER

@@ -31,7 +32,7 @@
fi
done

-LD_LIBRARY_PATH=${MOZ_LIBDIR}:${MOZ_LIBDIR}/plugins${LD_LIBRARY_PATH:+":$LD_LIBRARY_PATH"}
+LD_LIBRARY_PATH=${MOZ_LIBDIR}:${MOZ_LIBDIR}/plugins${LD_LIBRARY_PATH:+":$LD_LIBRARY_PATH"}:$LD_LIBRARY_PATH_KWALLET_ADDON
export LD_LIBRARY_PATH

usage () {

=== End file: thunderbird-kwallet-addon.patch ===



=== Start file: firefox-kwallet-addon.patch ===
--- firefox 2011-09-12 15:25:46.969431231 +0200
+++ firefox 2011-09-12 15:22:43.444805651 +0200
@@ -18,6 +18,7 @@
MOZ_APP_NAME=firefox
MOZ_APP_BASENAME=firefox
MOZ_PROFILE_PREFIX=.mozilla/
+LD_LIBRARY_PATH_KWALLET_ADDON="/usr/lib/kde4/libkdeinit:/usr/lib/xulrunner-2.0"

export MOZ_APP_LAUNCHER

@@ -31,7 +32,7 @@
fi
done

-LD_LIBRARY_PATH=${MOZ_LIBDIR}:${MOZ_LIBDIR}/plugins${LD_LIBRARY_PATH:+":$LD_LIBRARY_PATH"}
+LD_LIBRARY_PATH=${MOZ_LIBDIR}:${MOZ_LIBDIR}/plugins${LD_LIBRARY_PATH:+":$LD_LIBRARY_PATH"}:$LD_LIBRARY_PATH_KWALLET_ADDON
export LD_LIBRARY_PATH

usage () {

=== End file: firefox-kwallet-addon.patch ===



Follow this steps

1. Install XUL + XPCOM application runner 2.0
sudo apt-get install xulrunner-2.0

2. Install Firefox 6
sudo apt-get install firefox

3. Install Thunderbird 6 from the Thunderbird Stable Channel Packages https://launchpad.net/~mozillateam/+archive/thunderbird-stable
sudo add-apt-repository ppa:mozillateam/thunderbird-stable
sudo apt-get update
sudo apt-get install thunderbird

4. Apply the patch
sudo patch /usr/bin/firefox [save path]/firefox-kwallet-addon.patch
sudo patch /usr/bin/thunderbird [save path]/thunderbird-kwallet-addon.patch

5. Install KDE Wallet password integration
https://addons.mozilla.org/firefox/addon/kde-wallet-password-integratio/
https://addons.mozilla.org/thunderbird/addon/kde-wallet-password-integratio/

This review is for a previous version of the add-on (0.11). 

thanks Rated 5 out of 5 stars

Very fast update for compatibility with firefox 6 ! good job. Thank you very much.

Syvolc, on KDE 4.7 / openSUSE 11.4

This review is for a previous version of the add-on (0.11).  This user has a previous review of this add-on.

Rated 4 out of 5 stars

Works like charme again. Thx.

This review is for a previous version of the add-on (0.8). 

Rated 5 out of 5 stars

Firefox 5 with Kubuntu Natty:
0.9 Doesn't work.
in 0.8 I made it work with:
sudo ln -s /usr/lib/kde4/libkdeinit/libkdeinit4_kwalletd.so /usr/lib

doesn't help now.
sudo ln -s /usr/lib/firefox-5.0/libxul.so /usr/lib
doesn't help either.
(of course I reinstalled each time)

Can someone help me out?

This review is for a previous version of the add-on (0.8). 

Bug

Please open a bug discussion at: http://www.guillermomolina.com.ar/index.php/en/projects/firefox-kwallet-extension/forum-topics. Thank you.

Rated 5 out of 5 stars

Thx, but this extension couldn't update existing password after I changed it from a web page. Just right now I've changed my odesk password, firefox asked me about modification of existing password, but not modified it when I pressed the "update" button.

This review is for a previous version of the add-on (0.8). 

Rated 4 out of 5 stars

Thanks for the new version, it is working great with Firefox.And thanks for the Thunderbird integration but it doesn't seem to work. Thunderbird stills uses its own one despite the installed addon.


Btw. were should we report bugs? I suppose that the review is not the best place. Anyway I have found another bug. It seems that you can't update passwords with this addon. So if you successful log in with a different password Firefox asks you if you want to update the password. If you confirm it is normally updated but the password isn't updated on the next login.

This review is for a previous version of the add-on (0.8).  This user has a previous review of this add-on.

Amazing plugin with minor flaws Rated 4 out of 5 stars

Love this addon. I have not tried sharing with other browsers (e.g. rekonq), but at least backing up all passwords in one go and updating other computers in one step is amazingly comfortable.Small bug-report in case the devoloper listens: For security reasons, my wallet closes after a certain number of minutes automatically (in case I leave the desktop and forget to lock the screen). If this happens, FF does not try to re-open the wallet, however. Very annoying. Closing and restarting FF helps (it restores the tabs anyways), but it's still not great.Keep up the good work!

This review is for a previous version of the add-on (0.4). 

Rated 5 out of 5 stars

Murz: Since it looks like this plugin has been abandoned, I would like to fork it and add your updates as well as add fx4.x functionality. Please contact me about this:
55d22f5c88@keepmymail.com

This review is for a previous version of the add-on (0.4). 

I am back

Hi Murz, I will begin working on a new version of the addon. It will be based on 0.4 (konqueror password saving is very different). I will focus on KDE 4.6 and Firefox 4

KDE 4.5 Rated 5 out of 5 stars

Version 0.4 works under KDE 4.5 after minor fix - it's necessary to make libkdeinit4_kwalletd.so accessible for FIrefox, for example as:

sudo ln -s /usr/lib/kde4/libkdeinit/libkdeinit4_kwalletd.so /usr/lib

This review is for a previous version of the add-on (0.4). 

KDE Wallet not working on KDE 4.5 Rated 2 out of 5 stars

Hello,

I'm using Kde 4.5 and Firefox 3.6.8. Unfortunately, the extension does not work - Firefox is not using the KDE wallet, it is always using its own password store.

What could be the problem?

Thanks for helping!

This review is for a previous version of the add-on (0.4).